### Method

# Phosh MonitorManager set_monitor_transform

#### Declaration [src]

    void
    phosh_monitor_manager_set_monitor_transform (
      PhoshMonitorManager* self,
      PhoshMonitor* monitor,
      PhoshMonitorTransform transform
    )

#### Description [src]

Sets monitor’s transform. This will become active after the next call to #phosh_monitor_manager_apply_monitor_config().

If necessary other heads will be moved to avoid gaps and overlapping heads in the layout.

#### Parameters

`monitor`

  Type: `PhoshMonitor`

  The `PhoshMonitor` to set the tansform on.

  The data is owned by the caller of the method.

`transform`

  Type: `PhoshMonitorTransform`

  The `PhoshMonitorTransform` to set.